Bug 153683 - Gcc 3.4-redhat is not compatible with gcc 3.4
Gcc 3.4-redhat is not compatible with gcc 3.4
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-04 19:19 EDT by H.J. Lu
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 01:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2005-04-04 19:19:09 EDT
Gcc 3.4-redhat sets soext to .so.1 in ada/Makefile.in. It is different
from gcc 3.4 from FSF. As the result, gcc 3.4 has libgnat-3.4.so and gcc
3.4-redhat has libgnat-3.4.so.1. Ada programs compiled with gcc 3.4-redhat
won't run with libgnat from gcc 3.4.
Comment 1 Jakub Jelinek 2005-04-05 01:43:00 EDT
3.4-RH needs to be compatible primarily with itself.

Note You need to log in before you can comment on or make changes to this bug.